rake doc:guides error

I have Rails 2.2.2 installed and get the following message when I try to generate the rails guides:

Family-iMac:expences Dad$ rake doc:guides
(in /Users/Dad/Documents/Rails/Apps/expences)
rake aborted!
Don't know how to build task 'doc:guides'

(See full trace by running task with --trace)
Family-iMac:expences Dad$ rake doc:guides --trace
(in /Users/Dad/Documents/Rails/Apps/expences)
rake aborted!
Don't know how to build task 'doc:guides'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1706:in `[]'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:2018:in `invoke_task'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in `standard_exception_handling'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'
/Library/Ruby/Gems/1.8/gems/rake-0.8.3/bin/rake:31
/usr/bin/rake:19:in `load'
/usr/bin/rake:19

rake --tasks

?

You need to do from inside a Rails 2.2 app

Thank you, Pratik. You were right. Once I generated an app within
Rails 2.2, and updated my RubyGems from 1.2.0 -> 1.3.1 (http://
tinyurl.com/6qhxxm), everything worked fine.

Richard